--- old/usr/src/uts/common/io/aac/aac.c	2015-08-19 07:24:54.425666052 -0400
+++ new/usr/src/uts/common/io/aac/aac.c	2015-08-19 07:24:54.432089291 -0400
@@ -925,7 +925,7 @@
 
 	/* Create a thread for command timeout */
 	softs->timeout_id = timeout(aac_timer, (void *)softs,
-	    (aac_tick * drv_usectohz(1000000)));
+	    drv_sectohz(aac_tick));
 
 	/* Common attach is OK, so we are attached! */
 	ddi_report_dev(dip);
@@ -4380,7 +4380,7 @@
 			cv_broadcast(&softs->drain_cv);
 		else
 			softs->drain_timeid = timeout(aac_check_drain, softs,
-			    AAC_QUIESCE_TICK * drv_usectohz(1000000));
+			    drv_sectohz(AAC_QUIESCE_TICK));
 	}
 	mutex_exit(&softs->io_lock);
 }
@@ -4395,7 +4395,7 @@
 	if (softs->ndrains == 0) {
 		ASSERT(softs->drain_timeid == 0);
 		softs->drain_timeid = timeout(aac_check_drain, softs,
-		    AAC_QUIESCE_TICK * drv_usectohz(1000000));
+		    drv_sectohz(AAC_QUIESCE_TICK));
 	}
 	softs->ndrains++;
 }
@@ -6685,7 +6685,7 @@
 			if (acp->timeout <= softs_timebase) {
 				aac_cmd_timeout(softs, acp);
 				time_out = 1;
-				time_adjust = aac_tick * drv_usectohz(1000000);
+				time_adjust = drv_sectohz(aac_tick);
 				break; /* timeout happened */
 			} else {
 				break; /* no timeout */
@@ -6757,7 +6757,7 @@
 	/* If timer is being stopped, exit */
 	if (softs->timeout_id) {
 		softs->timeout_id = timeout(aac_timer, (void *)softs,
-		    (aac_tick * drv_usectohz(1000000)));
+		    drv_sectohz(aac_tick));
 	} else {
 		mutex_exit(&softs->time_mutex);
 		return;
